[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParam.Size

Size of the parameter

## Declaration

Source position: db.pas line 1281

`published property TParam.Size : Integer read FSize write FSize default 0;`

## Description

Size is the declared size of the parameter. In the current implementation, this parameter is ignored other than copying it from TField.DataSize in the TParam.AssignFieldValue method. The actual size can be retrieved through the TParam.Datasize property.

## See also

TParam.Datasize
TField.DataSize |  | Size of the field's data
TParam.AssignFieldValue |  | Assign field value to the parameter.